CVE-2019-0192

2019-03-07T21:29:00
ID CVE-2019-0192
Type cve
Reporter cve@mitre.org
Modified 2019-07-23T23:15:00

Description

In Apache Solr versions 5.0.0 to 5.5.5 and 6.0.0 to 6.6.5, the Config API allows to configure the JMX server via an HTTP POST request. By pointing it to a malicious RMI server, an attacker could take advantage of Solr's unsafe deserialization to trigger remote code execution on the Solr side.